Create a workflow backfill
POST
/v1/projects/{projectId}/workflow-backfillscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/workflow-backfills' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"stepIds": [
"string"
],
"recordingIds": [
"00000000-0000-0000-0000-000000000000"
],
"allOutdated": true,
"dryRun": true
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- stepIdsarray<string>必填
- recordingIdsarray<string (uuid)>
- allOutdatedboolean
- dryRunboolean
响应
Success
- option 1object
- dataobject必填
- option 2object
- dataobject必填
响应示例
{
"data": {
"steps": [
{
"runIndex": 0,
"stepId": "string",
"scopeKey": "string",
"kind": "system",
"recordingId": "string",
"dataVersion": "string",
"algorithmRevisionId": "string",
"algorithmVersion": "string",
"cached": false,
"dependsOn": [
"string"
]
}
],
"recordings": {
"included": [
{
"recordingId": "string",
"captureSessionId": "string",
"sessionRole": "other"
}
],
"skipped": [
{
"recordingId": "string",
"reason": "string"
}
]
},
"estimate": {
"cpuSeconds": 0,
"gpuSeconds": 0,
"storageBytes": 0,
"durationSeconds": 0,
"costMinor": 0,
"currency": "usd"
},
"cachedSteps": 0,
"workflowRevisionId": "string",
"planToken": "string",
"runGroupId": {},
"runs": {}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1